---
title: Add a participant
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Realtime Kit](https://developers.cloudflare.com/api/go/resources/realtime_kit)

[Meetings](https://developers.cloudflare.com/api/go/resources/realtime_kit/subresources/meetings)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Add a participant

client.RealtimeKit.Meetings.AddParticipant(ctx, appID, meetingID, params) (\*[MeetingAddParticipantResponse](<https://developers.cloudflare.com/api/go/resources/realtime_kit#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/realtime/kit/{app\_id}/meetings/{meeting\_id}/participants

Adds a participant to the given meeting ID.

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Realtime Admin``Realtime`

##### ParametersExpand Collapse

appID string

The app identifier tag.

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20app_id%20%3E%20(schema)>)

meetingID string

formatuuid

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20meeting_id%20%3E%20(schema)>)

<details>

<summary>

params MeetingAddParticipantParams

</summary>

AccountID param.Field\[string]

Path param: The account identifier tag.

maxLength32

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

CustomParticipantID param.Field\[string]

Body param: A unique participant ID. You must specify a unique ID for the participant, for example, UUID, email address, and so on.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20custom_participant_id">Link to this property</a>

PresetName param.Field\[string]

Body param: Name of the preset to apply to this participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20preset_name">Link to this property</a>

Name param.Field\[string]Optional

Body param: (Optional) Name of the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20name">Link to this property</a>

Picture param.Field\[string]Optional

Body param: (Optional) A URL to a picture to be used for the participant.

formaturi

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default%20%3E%20(param)%20picture">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(method)%20add_participant%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type MeetingAddParticipantResponse struct{…}

</summary>

Success bool

Success status of the operation

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20success">Link to this property</a>

<details>

<summary>

Data MeetingAddParticipantResponseDataOptional

Represents a participant.

</summary>

ID string

ID of the participant.

formatuuid

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20id">Link to this property</a>

Token string

The participant’s auth token that can be used for joining a meeting from the client side.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20token">Link to this property</a>

CreatedAt Time

When this object was created. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20created_at">Link to this property</a>

CustomParticipantID string

A unique participant ID generated by the client.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20custom_participant_id">Link to this property</a>

PresetName string

Preset applied to the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20preset_name">Link to this property</a>

UpdatedAt Time

When this object was updated. The time is returned in ISO format.

formatdate-time

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20updated_at">Link to this property</a>

Name stringOptional

Name of the participant.

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20name">Link to this property</a>

Picture stringOptional

URL to a picture of the participant.

formaturi

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data%20%3E%20(property)%20picture">Link to this property</a>

</details>

<a href="#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)%20%3E%20(property)%20data">Link to this property</a>

</details>

[Link to this property](<#(resource)%20realtime_kit.meetings%20%3E%20(model)%20MeetingAddParticipantResponse%20%3E%20(schema)>)

### Add a participant

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/realtime_kit"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.RealtimeKit.Meetings.AddParticipant(
    context.TODO(),
    "14a396e7-ca44-4937-bf1f-050a69118543",
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    realtime_kit.MeetingAddParticipantParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      CustomParticipantID: cloudflare.F("custom_participant_id"),
      PresetName: cloudflare.F("preset_name"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Success)
}
```

200 example

```
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
```

##### Returns Examples

200 example

```
{
  "success": true,
  "data": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "token": "token",
    "created_at": "2019-12-27T18:11:19.117Z",
    "custom_participant_id": "custom_participant_id",
    "preset_name": "preset_name",
    "updated_at": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "picture": "https://example.com"
  }
}
```